package com.taikor.investment;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.Network;
import android.net.NetworkInfo;

import com.taikor.investment.event.BooleanEvent;
import com.taikor.investment.utils.NetworkUtils;
import com.taikor.investment.utils.ToastUtils;

import org.greenrobot.eventbus.EventBus;

/**
 * 监听网络变化
 * Created by Any on 2017/6/15.
 */

public class NetWorkChangeReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        //检测API是不是小于23，因为到了API23之后getNetworkInfo(int networkType)方法被弃用
        if (android.os.Build.VERSION.SDK_INT < android.os.Build.VERSION_CODES.LOLLIPOP) {

            if (!NetworkUtils.isWiFiConnected(context) && !NetworkUtils.isNetConnected(context)) {
                //两者都没有连接时
                ToastUtils.showShort(context, "请检查是否连接网络");
            } else {
                //两者都连接，或者其中有一个连接，刷新数据
                EventBus.getDefault().post(new BooleanEvent(true, "all"));
            }

            //API大于23时使用下面的方式进行网络监听
        } else {
            StringBuilder sb = NetworkUtils.isConnected(context);
            if (sb.length() == 0) {
                ToastUtils.showShort(context, "请检查是否连接网络");
            } else {
                EventBus.getDefault().post(new BooleanEvent(true, "all"));
            }
        }
    }
}
